> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a pipeline stage

> Operacion: Update a pipeline stage.



## OpenAPI

````yaml /generated/specs/sales.json patch /api/v1/pipeline-stages/{id}
openapi: 3.0.0
info:
  title: Raul API - Ventas
  description: >-
    Cotizaciones, pipeline, outreach comercial, equipos cotizables y ventas de
    equipamiento.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/pipeline-stages/{id}:
    patch:
      tags:
        - Pipeline Stages
      summary: Update a pipeline stage
      description: 'Operacion: Update a pipeline stage.'
      operationId: PipelineStagesController_update
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePipelineStageDto'
      responses:
        '200':
          description: Pipeline stage updated
        '400':
          description: Cannot modify system stages
        '404':
          description: Pipeline stage not found
components:
  schemas:
    UpdatePipelineStageDto:
      type: object
      properties: {}

````